import { onCLS, onFCP, onFID, onINP, onLCP, onTTFB, } from 'web-vitals/attribution';
import { config } from './config';
import { initElementTiming } from './element-timing';
import { logMetric } from './log';
import { po } from './performanceObserver';
import { initResourceTiming } from './resourceTiming';
export var initPerformanceObserver = function () {
    onTTFB(function (report) {
        if (report.value > 0) {
            // @ts-ignore
            logMetric(report);
        }
    }, config.reportOptions.ttfb);
    // @ts-ignore
    onCLS(function (report) { return logMetric(report); }, config.reportOptions.cls);
    // @ts-ignore
    onFCP(function (report) { return logMetric(report); }, config.reportOptions.fcp);
    // @ts-ignore
    onFID(function (report) { return logMetric(report); }, config.reportOptions.fid);
    // @ts-ignore
    onLCP(function (report) { return logMetric(report); }, config.reportOptions.lcp);
    // @ts-ignore
    onINP(function (report) { return logMetric(report); }, config.reportOptions.inp);
    if (config.isResourceTiming) {
        po('resource', initResourceTiming);
    }
    if (config.isElementTiming) {
        po('element', initElementTiming);
    }
};
export var disconnectPerfObserversHidden = function () {
    // TODO: Use if need it
};
//# sourceMappingURL=observe.js.map