"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isPerformanceSupported = void 0;
var constants_1 = require("./constants");
/**
 * True if the browser supports the Navigation Timing API,
 * User Timing API and the PerformanceObserver Interface.
 * In Safari, the User Timing API (performance.mark()) is not available,
 * so the DevTools timeline will not be annotated with marks.
 * Support: developer.mozilla.org/en-US/docs/Web/API/Performance/mark
 * Support: developer.mozilla.org/en-US/docs/Web/API/PerformanceObserver
 * Support: developer.mozilla.org/en-US/docs/Web/API/Performance/getEntriesByType
 */
var isPerformanceSupported = function () {
    return constants_1.WP && !!constants_1.WP.getEntriesByType && !!constants_1.WP.now && !!constants_1.WP.mark;
};
exports.isPerformanceSupported = isPerformanceSupported;
//# sourceMappingURL=isSupported.js.map