"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.disconnectPerfObserversHidden = exports.initPerformanceObserver = void 0;
var attribution_1 = require("web-vitals/attribution");
var config_1 = require("./config");
var element_timing_1 = require("./element-timing");
var log_1 = require("./log");
var performanceObserver_1 = require("./performanceObserver");
var resourceTiming_1 = require("./resourceTiming");
var initPerformanceObserver = function () {
    (0, attribution_1.onTTFB)(function (report) {
        if (report.value > 0) {
            // @ts-ignore
            (0, log_1.logMetric)(report);
        }
    }, config_1.config.reportOptions.ttfb);
    // @ts-ignore
    (0, attribution_1.onCLS)(function (report) { return (0, log_1.logMetric)(report); }, config_1.config.reportOptions.cls);
    // @ts-ignore
    (0, attribution_1.onFCP)(function (report) { return (0, log_1.logMetric)(report); }, config_1.config.reportOptions.fcp);
    // @ts-ignore
    (0, attribution_1.onFID)(function (report) { return (0, log_1.logMetric)(report); }, config_1.config.reportOptions.fid);
    // @ts-ignore
    (0, attribution_1.onLCP)(function (report) { return (0, log_1.logMetric)(report); }, config_1.config.reportOptions.lcp);
    // @ts-ignore
    (0, attribution_1.onINP)(function (report) { return (0, log_1.logMetric)(report); }, config_1.config.reportOptions.inp);
    if (config_1.config.isResourceTiming) {
        (0, performanceObserver_1.po)('resource', resourceTiming_1.initResourceTiming);
    }
    if (config_1.config.isElementTiming) {
        (0, performanceObserver_1.po)('element', element_timing_1.initElementTiming);
    }
};
exports.initPerformanceObserver = initPerformanceObserver;
var disconnectPerfObserversHidden = function () {
    // TODO: Use if need it
};
exports.disconnectPerfObserversHidden = disconnectPerfObserversHidden;
//# sourceMappingURL=observe.js.map