"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initResourceTiming = void 0;
var config_1 = require("./config");
var log_1 = require("./log");
var metrics_1 = require("./metrics");
var initResourceTiming = function (performanceEntries) {
    performanceEntries.forEach(function (entry) {
        if (config_1.config.isResourceTiming) {
            (0, log_1.logData)('resourceTiming', entry);
        }
        if (entry.decodedBodySize && entry.initiatorType) {
            var bodySize = entry.decodedBodySize / 1000;
            metrics_1.rt.value[entry.initiatorType] += bodySize;
            metrics_1.rt.value.total += bodySize;
        }
    });
};
exports.initResourceTiming = initResourceTiming;
//# sourceMappingURL=resourceTiming.js.map