"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.markStepOnce = void 0;
var constants_1 = require("../constants");
var measureSteps_1 = require("./measureSteps");
/**
 * Function which creates a step mark with a name generated
 * from the provided mark if a mark with the same name does not
 * already exist when called.
 *
 * The generated mark name has the following format:
 * `mark.${mark}`
 *
 */
var markStepOnce = function (mark) {
    if (constants_1.WP.getEntriesByName(constants_1.M + mark).length === 0) {
        constants_1.WP.mark(constants_1.M + mark);
        (0, measureSteps_1.measureSteps)(mark);
    }
};
exports.markStepOnce = markStepOnce;
//# sourceMappingURL=markStepOnce.js.map