"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setStepsMap = void 0;
var config_1 = require("../config");
var steps_1 = require("./steps");
var setStepsMap = function () {
    if (!config_1.config.steps) {
        return;
    }
    (0, steps_1.resetSteps)();
    Object.entries(config_1.config.steps).forEach(function (_a) {
        var _b;
        var _c;
        var step = _a[0], marks = _a[1].marks;
        var startMark = marks[0];
        var endMark = marks[1];
        // getting the current steps associated with the current start mark
        var currentStartMarks = (_c = steps_1.steps.startMarkToStepsMap[startMark]) !== null && _c !== void 0 ? _c : {};
        currentStartMarks[step] = true;
        steps_1.steps.startMarkToStepsMap[startMark] = currentStartMarks;
        if (!steps_1.steps.finalMarkToStepsMap[endMark]) {
            // insert when top level end mark is not present
            steps_1.steps.finalMarkToStepsMap[endMark] = (_b = {}, _b[startMark] = [step], _b);
        }
        else {
            // insert when end mark and start mark are both present
            var currentSteps = steps_1.steps.finalMarkToStepsMap[endMark][startMark] || [];
            currentSteps.push(step);
            steps_1.steps.finalMarkToStepsMap[endMark][startMark] = currentSteps;
        }
    });
};
exports.setStepsMap = setStepsMap;
//# sourceMappingURL=setStepsMap.js.map