"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pushTask = exports.convertToKB = exports.roundByFour = void 0;
var constants_1 = require("./constants");
var roundByFour = function (num) { return parseFloat(num.toFixed(4)); };
exports.roundByFour = roundByFour;
var convertToKB = function (bytes) {
    if (typeof bytes !== 'number') {
        return null;
    }
    return (0, exports.roundByFour)(bytes / Math.pow(1024, 2));
};
exports.convertToKB = convertToKB;
/**
 * PushTask to requestIdleCallback
 */
var pushTask = function (cb) {
    if ('requestIdleCallback' in constants_1.W) {
        constants_1.W.requestIdleCallback(cb, { timeout: 3000 });
    }
    else {
        cb();
    }
};
exports.pushTask = pushTask;
//# sourceMappingURL=utils.js.map