/**
 * Function which creates a step mark with a name generated
 * from the provided mark when called.
 *
 * The generated mark name has the following format:
 * `mark.${mark}`
 *
 */
export declare const markStep: (mark: string) => void;
/**
 * Start performance measurement
 */
export declare const start: (markName: string) => void;
/**
 * End performance measurement
 */
export declare const end: (markName: string, customProperties?: {}, doLogData?: boolean) => void;
/**
 * Removes the named mark from the browser's performance entry buffer.
 */
export declare const clear: (markName: string) => void;
